USE PORTLIB

EXTERNAL VALORES, SAIDA

INTEGER :: TERMOS, D, VER, SOMA
INTEGER, DIMENSION(:), ALLOCATABLE :: PA
CHARACTER(50) :: NOMESAIDA

WRITE(*,*) "Informe a quantidade de termos"
READ(*,*) TERMOS

ALLOCATE(PA(TERMOS))

WRITE(*,*) "Informe o valor do primeiro termo de uma P.A."
READ(*,*) PA(1)

WRITE(*,*) "Informe a diferença entre dois termos subsequentes"
READ(*,*) D

CALL VALORES(TERMOS, D, PA, SOMA)
CALL SAIDA(TERMOS, D, PA, SOMA, NOMESAIDA)
							 
VER = SYSTEM("NOTEPAD "//TRIM(ADJUSTL(NOMESAIDA)))

END